import LoginComponent from "@/components/login";
import {WithoutAuthMiddleware} from "@witel/webapp-builder";
import {globalServerProps} from "@/core/utils/globalServerProps";

export default function Login() {
    return (
        <WithoutAuthMiddleware defaultUrl={'/dashboard'}>
            <LoginComponent/>
        </WithoutAuthMiddleware>
    );
}

export async function getServerSideProps({req, locale}) {
    return {
        props: {
            ...await globalServerProps({req, locale}),
            title: "Titles.title_login_page",
        },
    };
}
